interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [python-requests/2.18.1]
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitmate-test-user%2Ftest?User-Agent=IGitt&per_page=100
  response:
    body: {string: '{"id":3439658,"description":"","default_branch":"master","tag_list":[],"archived":false,"visibility":"public","ssh_url_to_repo":"git@gitlab.com:gitmate-test-user/test.git","http_url_to_repo":"https://gitlab.com/gitmate-test-user/test.git","web_url":"https://gitlab.com/gitmate-test-user/test","owner":{"name":"GitMate","username":"gitmate-test-user","id":1369631,"state":"active","avatar_url":"https://secure.gravatar.com/avatar/27e08ed25afa8578cb3a346964f0de32?s=80&d=identicon","web_url":"https://gitlab.com/gitmate-test-user"},"name":"test","name_with_namespace":"GitMate
        / test","path":"test","path_with_namespace":"gitmate-test-user/test","container_registry_enabled":true,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"created_at":"2017-06-05T04:56:19.418Z","last_activity_at":"2017-07-07T10:38:34.369Z","shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1369631,"namespace":{"id":1652018,"name":"gitmate-test-user","path":"gitmate-test-user","kind":"user","full_path":"gitmate-test-user","parent_id":null,"plan":null},"import_status":"failed","import_error":"Mirror
        update for gitmate-test-user/test failed with the following message: The default
        branch (master) has diverged from its upstream counterpart and could not be
        updated automatically.","avatar_url":null,"star_count":0,"forks_count":1,"open_issues_count":12,"runners_token":"mJspL93WBs-yfGkkvpos","public_jobs":true,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"approvals_before_merge":0,"permissions":{"project_access":{"access_level":40,"notification_level":3},"group_access":null}}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Length: ['1811']
      Content-Type: [application/json]
      Date: ['Sun, 16 Jul 2017 07:09:18 GMT']
      Etag: [W/"f8cd676e720defa5d33a34dd61f211dd"]
      Server: [nginx]
      Strict-Transport-Security: [max-age=31536000]
      Vary: [Origin]
      X-Frame-Options: [SAMEORIGIN]
      X-Request-Id: [70c9c7a9-0daf-45f2-a06d-919503e7ba54]
      X-Runtime: ['0.337484']
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [python-requests/2.18.1]
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitmate-test-user%2Ftest/repository/commits/3fc4b860e0a2c17819934d678decacd914271e5c?User-Agent=IGitt&per_page=100
  response:
    body: {string: '{"id":"3fc4b860e0a2c17819934d678decacd914271e5c","short_id":"3fc4b860","title":"Update
        README.md","created_at":"2016-01-24T18:49:12.000+01:00","parent_ids":["674498fd415cfadc35c5eb28b8951e800f357c6f"],"message":"Update
        README.md","author_name":"gitmate-test-user","author_email":"hostmaster@gitmate.io","authored_date":"2016-01-24T18:49:12.000+01:00","committer_name":"gitmate-test-user","committer_email":"hostmaster@gitmate.io","committed_date":"2016-01-24T18:49:12.000+01:00","stats":{"additions":2,"deletions":0,"total":2},"status":"failed"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Length: ['545']
      Content-Type: [application/json]
      Date: ['Sun, 16 Jul 2017 07:09:21 GMT']
      Etag: [W/"200566843747fb3d1f91b0292d0f6eae"]
      Server: [nginx]
      Strict-Transport-Security: [max-age=31536000]
      Vary: [Origin]
      X-Frame-Options: [SAMEORIGIN]
      X-Request-Id: [48d6a0e7-85b4-47d9-a67a-3a52cca6f48b]
      X-Runtime: ['0.137883']
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [python-requests/2.18.1]
    method: GET
    uri: https://gitlab.com/api/v4/projects/gitmate-test-user%2Ftest/repository/commits/3fc4b860e0a2c17819934d678decacd914271e5c?User-Agent=IGitt&per_page=100
  response:
    body: {string: '{"id":"3fc4b860e0a2c17819934d678decacd914271e5c","short_id":"3fc4b860","title":"Update
        README.md","created_at":"2016-01-24T18:49:12.000+01:00","parent_ids":["674498fd415cfadc35c5eb28b8951e800f357c6f"],"message":"Update
        README.md","author_name":"gitmate-test-user","author_email":"hostmaster@gitmate.io","authored_date":"2016-01-24T18:49:12.000+01:00","committer_name":"gitmate-test-user","committer_email":"hostmaster@gitmate.io","committed_date":"2016-01-24T18:49:12.000+01:00","stats":{"additions":2,"deletions":0,"total":2},"status":"failed"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Length: ['545']
      Content-Type: [application/json]
      Date: ['Sun, 16 Jul 2017 07:09:23 GMT']
      Etag: [W/"200566843747fb3d1f91b0292d0f6eae"]
      Server: [nginx]
      Strict-Transport-Security: [max-age=31536000]
      Vary: [Origin]
      X-Frame-Options: [SAMEORIGIN]
      X-Request-Id: [ea6ba254-1fc1-480e-b9b5-d604e996389d]
      X-Runtime: ['0.158682']
    status: {code: 200, message: OK}
version: 1
